LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08586Bug reports[All Projects] Survey takingpublic2014-01-23 19:102014-02-08 14:49
Reporterrodparis 
Assigned Toc_schmitz 
PriorityhighSeveritycrash 
StatusclosedResolutionfixed 
Product Version2.05+ 
Target VersionFixed in Version 
Summary08586: Old URL Parameters doesn't work like before
Descriptionsince 2.05+ version there is an issue when we provide URL parameters to prefill answer to the survey.

ie : before 2.05+ version, acess from this kind URL works perfectly :
.../index.php?sid=12345&lang=fr&12345X123X123=toto

With 2.05+ that doesn't work anymore. Think the issue is from the new controller :
when we try .../index.php?sid=977121 : KO
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID140116
Browser
Database & DB-Versionmysql
Operating System (Server)linux
Webserver software & versionapache
PHP Version5
Attached Files

- Relationships
related to 08681closedc_schmitz Email from data entry "save for further completion" sends broken link 

-  Notes
User avatar (28374)
c_schmitz (administrator)
2014-02-01 15:59

I am not sure what the problem is here. Can you please elaborate?
What new controller are you talking about?
User avatar (28394)
rodparis (reporter)
2014-02-02 14:24
edited on: 2014-02-02 14:24

Previously, with 2.0 version, it was possible to prefill answer with URL Parameters like this :
http://mylimesurveyinstall/index.php?sid=12345&lang=fr&12345X123X123=toto [^]

Since 2.05+ version, it seems index.php doesn't support anymore GET parameters with this method.

Now we have to prefill answer with a new url structure separated with / :
http://mylimesurveyinstall/index.php/survey/index/sid/12345/lang/fr/12345X123X123/toto [^]

old method doesn't work anymore

User avatar (28421)
c_schmitz (administrator)
2014-02-03 09:12
edited on: 2014-02-03 09:21

Sammousa, this needs to be fix as the default routes (if a sid as GET param is given) need to be working for backward compatibility.

User avatar (28427)
sammousa (developer)
2014-02-03 09:47

If you want to make a query string to pass the parameters you should start by constructing it properly:

http://vps2.befound.nl/index.php?r=survey/index&sid=883732&newtest=Y&lang=en&q1=prefill [^]

Alternatively you can just append it to whatever limesurvey gives you as the default:
http://vps2.befound.nl/index.php?r=survey/index/sid/883732/lang/en&q1=prefill [^]


works perfectly for me..
User avatar (28431)
rodparis (reporter)
2014-02-03 10:34

I like that kind of answer !
I assume that backward compability means : add ?r=survey/index& in URL ?

I never seen any documentation with parameter r=survey ! This parameter is available in 2.0 version or it's new from 2.05+ ?

regards
User avatar (28432)
c_schmitz (administrator)
2014-02-03 10:35
edited on: 2014-02-04 09:42

After consultation we came to the conclusion that this is not a bug.

See http://manual.limesurvey.org/Workarounds:_Survey_behaviour#Prefilling_survey_answers_using_the_survey_URL [^]
 for further details. This changed from 1.92 to 2.0+ already.

Thank you for your understanding.


- Issue History
Date Modified Username Field Change
2014-01-23 19:10 rodparis New Issue
2014-01-31 08:53 DenisChenu Summary URL Parameters doesn't work => Old URL Parameters doesn't work like before
2014-02-01 15:59 c_schmitz Note Added: 28374
2014-02-01 15:59 c_schmitz Assigned To => c_schmitz
2014-02-01 15:59 c_schmitz Status new => feedback
2014-02-02 14:24 rodparis Note Added: 28394
2014-02-02 14:24 rodparis Status feedback => assigned
2014-02-02 14:24 rodparis Note Edited: 28394 View Revisions
2014-02-03 09:11 c_schmitz Assigned To c_schmitz => sammousa
2014-02-03 09:12 c_schmitz Note Added: 28421
2014-02-03 09:21 c_schmitz Note Edited: 28421 View Revisions
2014-02-03 09:22 c_schmitz Category Data Entry (non public) => Survey taking
2014-02-03 09:47 sammousa Note Added: 28427
2014-02-03 10:34 rodparis Note Added: 28431
2014-02-03 10:35 c_schmitz Note Added: 28432
2014-02-03 10:35 c_schmitz Status assigned => closed
2014-02-03 10:35 c_schmitz Assigned To sammousa => c_schmitz
2014-02-03 10:35 c_schmitz Resolution open => fixed
2014-02-04 09:42 c_schmitz Note Edited: 28432 View Revisions
2014-02-08 14:49 DenisChenu Relationship added related to 08681


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker